org.apache.hadoop.yarn.server.api

## Interface ResourceManagerAdministrationProtocol

- All Superinterfaces:
    org.apache.hadoop.tools.GetUserMappingsProtocol

      @InterfaceAudience.Private
      public interface ResourceManagerAdministrationProtocol
      extends org.apache.hadoop.tools.GetUserMappingsProtocol

- - ### Field Summary

    - ### Fields inherited from interface org.apache.hadoop.tools.GetUserMappingsProtocol

      `versionID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddToClusterNodeLabelsResponse` | `addToClusterNodeLabels(AddToClusterNodeLabelsRequest request)`
    `CheckForDecommissioningNodesResponse` | `checkForDecommissioningNodes(CheckForDecommissioningNodesRequest checkForDecommissioningNodesRequest)`
    `NodesToAttributesMappingResponse` | `mapAttributesToNodes(NodesToAttributesMappingRequest request)`
    `RefreshAdminAclsResponse` | `refreshAdminAcls(RefreshAdminAclsRequest request)`
    `RefreshClusterMaxPriorityResponse` | `refreshClusterMaxPriority(RefreshClusterMaxPriorityRequest request)`
    `RefreshNodesResponse` | `refreshNodes(RefreshNodesRequest request)`
    `RefreshNodesResourcesResponse` | `refreshNodesResources(RefreshNodesResourcesRequest request)`
    `RefreshQueuesResponse` | `refreshQueues(RefreshQueuesRequest request)`
    `RefreshServiceAclsResponse` | `refreshServiceAcls(RefreshServiceAclsRequest request)`
    `RefreshSuperUserGroupsConfigurationResponse` | `refreshSuperUserGroupsConfiguration(RefreshSuperUserGroupsConfigurationRequest request)`
    `RefreshUserToGroupsMappingsResponse` | `refreshUserToGroupsMappings(RefreshUserToGroupsMappingsRequest request)`
    `RemoveFromClusterNodeLabelsResponse` | `removeFromClusterNodeLabels(RemoveFromClusterNodeLabelsRequest request)`
    `ReplaceLabelsOnNodeResponse` | `replaceLabelsOnNode(ReplaceLabelsOnNodeRequest request)`
    `UpdateNodeResourceResponse` | `updateNodeResource(UpdateNodeResourceRequest request)` The interface used by admin to update nodes' resources to the `ResourceManager`

    - ### Methods inherited from interface org.apache.hadoop.tools.GetUserMappingsProtocol

      `getGroupsForUser`

- - ### Method Detail

    - #### refreshQueues

          @InterfaceAudience.Private
          RefreshQueuesResponse refreshQueues(RefreshQueuesRequest request)
                                                                  throws org.apache.hadoop.ipc.StandbyException,
                                                                         YarnException,
                                                                         IOException

      Throws:
        `org.apache.hadoop.ipc.StandbyException`
        `YarnException`
        `IOException`

    - #### refreshNodes

          @InterfaceAudience.Private
          RefreshNodesResponse refreshNodes(RefreshNodesRequest request)
                                                                throws org.apache.hadoop.ipc.StandbyException,
                                                                       YarnException,
                                                                       IOException

      Throws:
        `org.apache.hadoop.ipc.StandbyException`
        `YarnException`
        `IOException`

    - #### refreshSuperUserGroupsConfiguration

          @InterfaceAudience.Private
          RefreshSuperUserGroupsConfigurationResponse refreshSuperUserGroupsConfiguration(RefreshSuperUserGroupsConfigurationRequest request)
                                                                                                              throws org.apache.hadoop.ipc.StandbyException,
                                                                                                                     YarnException,
                                                                                                                     IOException

      Throws:
        `org.apache.hadoop.ipc.StandbyException`
        `YarnException`
        `IOException`

    - #### refreshUserToGroupsMappings

          @InterfaceAudience.Private
          RefreshUserToGroupsMappingsResponse refreshUserToGroupsMappings(RefreshUserToGroupsMappingsRequest request)
                                                                                              throws org.apache.hadoop.ipc.StandbyException,
                                                                                                     YarnException,
                                                                                                     IOException

      Throws:
        `org.apache.hadoop.ipc.StandbyException`
        `YarnException`
        `IOException`

    - #### refreshAdminAcls

          @InterfaceAudience.Private
          RefreshAdminAclsResponse refreshAdminAcls(RefreshAdminAclsRequest request)
                                                                        throws YarnException,
                                                                               IOException

      Throws:
        `YarnException`
        `IOException`

    - #### refreshServiceAcls

          @InterfaceAudience.Private
          RefreshServiceAclsResponse refreshServiceAcls(RefreshServiceAclsRequest request)
                                                                            throws YarnException,
                                                                                   IOException

      Throws:
        `YarnException`
        `IOException`

    - #### updateNodeResource

          @InterfaceAudience.Private
          UpdateNodeResourceResponse updateNodeResource(UpdateNodeResourceRequest request)
                                                                            throws YarnException,
                                                                                   IOException

      The interface used by admin to update nodes' resources to the `ResourceManager`

      .

      The admin client is required to provide details such as a map from `NodeId` to `ResourceOption` required to update resources on a list of `RMNode` in `ResourceManager` etc. via the `UpdateNodeResourceRequest`.

      Parameters:
        `request` - request to update resource for a node in cluster.
      Returns:
        (empty) response on accepting update.
      Throws:
        `YarnException`
        `IOException`

    - #### refreshNodesResources

          @InterfaceAudience.Private
           @InterfaceStability.Evolving
          RefreshNodesResourcesResponse refreshNodesResources(RefreshNodesResourcesRequest request)
                                                                                                                throws YarnException,
                                                                                                                       IOException

      Throws:
        `YarnException`
        `IOException`

    - #### addToClusterNodeLabels

          @InterfaceAudience.Private
          AddToClusterNodeLabelsResponse addToClusterNodeLabels(AddToClusterNodeLabelsRequest request)
                                                                                    throws YarnException,
                                                                                           IOException

      Throws:
        `YarnException`
        `IOException`

    - #### removeFromClusterNodeLabels

          @InterfaceAudience.Private
          RemoveFromClusterNodeLabelsResponse removeFromClusterNodeLabels(RemoveFromClusterNodeLabelsRequest request)
                                                                                              throws YarnException,
                                                                                                     IOException

      Throws:
        `YarnException`
        `IOException`

    - #### replaceLabelsOnNode

          @InterfaceAudience.Private
          ReplaceLabelsOnNodeResponse replaceLabelsOnNode(ReplaceLabelsOnNodeRequest request)
                                                                              throws YarnException,
                                                                                     IOException

      Throws:
        `YarnException`
        `IOException`

    - #### checkForDecommissioningNodes

          @InterfaceAudience.Private
          CheckForDecommissioningNodesResponse checkForDecommissioningNodes(CheckForDecommissioningNodesRequest checkForDecommissioningNodesRequest)
                                                                                                throws YarnException,
                                                                                                       IOException

      Throws:
        `YarnException`
        `IOException`

    - #### refreshClusterMaxPriority

          @InterfaceAudience.Private
          RefreshClusterMaxPriorityResponse refreshClusterMaxPriority(RefreshClusterMaxPriorityRequest request)
                                                                                          throws YarnException,
                                                                                                 IOException

      Throws:
        `YarnException`
        `IOException`

    - #### mapAttributesToNodes

          @InterfaceAudience.Private
          NodesToAttributesMappingResponse mapAttributesToNodes(NodesToAttributesMappingRequest request)
                                                                                    throws YarnException,
                                                                                           IOException

      Throws:
        `YarnException`
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.